#include <bits/stdc++.h>

using namespace std;

int main()
{
    int x,y;
    cin >> x >> y;
    int a,b;
    cin >> a >> b;

    int razlika1 = x-a;
    int razlika2 = y-b;
    if(razlika1 == 0 && razlika2==0)
    {
        cout << "nijedan";
    }
    else if(razlika1 == 0)
    {
        cout << "drugi";
    }
    else if(razlika2 == 0)
    {
        cout << "prvi";
    }
    else
    {
        cout << "?";
    }
}